import { jsx } from "react/jsx-runtime";
import "react";
import { observer } from "@tachybase/schema";
import { useFieldTitle } from "../../hooks/index.mjs";
import { RemoteSelect } from "../remote-select/index.mjs";
import useServiceOptions from "./useServiceOptions.mjs";
const ReadPretty = observer((props)=>{
    const service = useServiceOptions(props);
    useFieldTitle();
    return /*#__PURE__*/ jsx(RemoteSelect.ReadPretty, {
        ...props,
        service: service
    });
}, {
    displayName: 'ReadPretty'
});
export { ReadPretty };
